#ifndef _UART_H_
#define _UART_H_

#include <stdbool.h>
#include <stdint.h>


void uartInit(void);
void uartSetBaudrate(uint32_t rate);
uint32_t uartRx(void *dstP, uint32_t nBytes, uint64_t endTime);
void uartTx(const void *srcP, uint32_t len);
void uartTxWait(void);
bool uartSeenFrameErrs(void);	//return num framing errors seen since this was last called...
void uartResetFrameErrors(void);

#endif

